nixos-option(8)

NAME
nixos-option - inspect a NixOS configuration

SYNOPSIS
nixos-option [-r | --recursive] [-I path] option.name

DESCRIPTION
This command evaluates the configuration specified in /etc/nixos/configuration.nix and returns the properties of the option name given as argument.

When the option name is not an option, the command prints the list of attributes contained in the attribute set.

OPTIONS

-r, --recursive
    Print all the values at or below the specified path recursively.

-I path
    This option is passed to the underlying nix-instantiate(1) invocation.

ENVIRONMENT

NIXOS_CONFIG
    Path to the main NixOS configuration module. Defaults to /etc/nixos/configuration.nix .

EXAMPLES
Investigate option values:

    $ nixos-option boot.loader
    This attribute set contains:
    generationsDir
    grub
    initScript
    $ nixos-option boot.loader.grub.enable
    Value:
    true
    Default:
    true
    Description:
    Whether to enable the GNU GRUB boot loader.
    Declared by:
      "/nix/var/nix/profiles/per-user/root/channels/nixos/nixpkgs/nixos/modules/system/boot/loader/grub/grub.nix"
    Defined by:
      "/nix/var/nix/profiles/per-user/root/channels/nixos/nixpkgs/nixos/modules/system/boot/loader/grub/grub.nix"

SEE ALSO
configuration.nix(5)

AUTHORS
-nosplit Nicolas Pierron and the Nixpkgs/NixOS contributors